from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUIElementSettings(XInterface, Protocol):
    def updateSettings(self) -> None: ...
    def getSettings(self, bWriteable: bool) -> XIndexAccess: ...
    def setSettings(self, UISettings: XIndexAccess) -> None: ...
